org.eclipse.eef.properties.ui.api

## Interface IEEFTypeMapper

All Known Implementing Classes:
  EEFLegacyTypeMapper, EEFTypeMapper

    public interface IEEFTypeMapper

Allows property sheet page contributors to map the input object type to a domain model type. The domain model type is then used for matching against the input attribute of the propertySection extension.

The type mapper is most frequently used to return the type of the model object when selecting a view object in a workbench part. For example, nodes in a tree may all be TreeObjects in a structured selection. The type mapper will take the tree node and return the type of the model object the node represents.

This interface should not be extended or implemented. New type mapper instances should be created using `AbstractEEFTypeMapper`.

Since:
  1.6.0

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Class<?>` `mapType(java.lang.Object object)` Map the input object to a domain model type.

### Method Detail

#### mapType

    java.lang.Class<?> mapType(java.lang.Object object)

Map the input object to a domain model type.

Parameters:
  `object` - the input object.
Returns:
  the type of the input object, mapped to the domain type if required.